import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class CaptchaPage extends StatelessWidget {
  final String? captchaUrl;
  final ValueChanged<String>? onCaptchaResolved;
  static bool isDisplayed = false;

  const CaptchaPage({Key? key, this.captchaUrl, this.onCaptchaResolved}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: Builder(builder: (BuildContext context) {
          return WebView(
            initialUrl: captchaUrl,
            javascriptMode: JavascriptMode.unrestricted,
            javascriptChannels: <JavascriptChannel>{
              javascriptListener(context),
            },
          );
        }
        )
    );
  }

  JavascriptChannel javascriptListener(BuildContext context) {
    return JavascriptChannel(
        name: 'onCaptchaSuccess',
        onMessageReceived: (JavascriptMessage message) {
          this.onCaptchaResolved!(message.message);
        });
  }
}