
import 'dart:async';
import 'package:datadome_flutter_dio/datadome_logger.dart';
import 'package:flutter/services.dart';
import 'package:shared_preferences/shared_preferences.dart';

class DataDomeDio {
  static const MethodChannel _channel =
      const MethodChannel('datadome_dio');

  static Future<Null> storeCookie(String cookie) async {
    final prefs = await SharedPreferences.getInstance();
    prefs.setString('co.datadome.cookie', cookie);

    try {
      await _channel.invokeMethod('storeCookie', { 'cookie': cookie });
    } on PlatformException catch (e) {
      DataDomeLogger.error("Error while sending message to native '${e.message}'");
    }
  }
}